One routed text conversation
GET
/v1/workspace/contact-center/conversations/{conversation_id}
const url = 'https://api.vocapable.com/v1/workspace/contact-center/conversations/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.vocapable.com/v1/workspace/contact-center/conversations/example \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”conversation_id
required
Conversation Id
string
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
CcConversation
object
id
required
Id
string
state
required
State
string
queue_id
required
Queue Id
string
queue_name
required
Queue Name
string
customer_label
required
Customer Label
string
customer_e164
required
Customer E164
string
vip_labels
required
Vip Labels
Array<string>
assignee
required
Any of:
CcConversationPerson
object
user_id
required
User Id
string
name
required
Name
string
null
enqueued_at
required
Enqueued At
string format: date-time
requeued_at
required
Requeued At
string format: date-time
last_inbound_at
required
Last Inbound At
string format: date-time
sla_seconds
required
Sla Seconds
integer
sla_percent
required
Sla Percent
integer
sla_due_at
required
Sla Due At
string format: date-time
sla_state
required
Sla State
string
transfer_count
required
Transfer Count
integer
revision
required
Revision
integer
Example
{ "state": "waiting", "close_reason": "resolved", "sla_state": "pending"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}